#!/bin/sh

HOMEDIR=/home/linutop/.config/autostart
TARGET=$HOMEDIR/lconfeditor.desktop
DESKTOP=/usr/share/applications/lconfeditor.desktop

mkdir -p $HOMEDIR
cp $DESKTOP $HOMEDIR
sed -i '/X-GNOME-Autostart-enabled/d' $TARGET
sed -i '/^Hidden=/d' $TARGET

if [ "$1" = "false" ]; then
    echo 'X-GNOME-Autostart-enabled=false' >> $TARGET
    echo 'Hidden=true' >> $TARGET
fi

chown -R linutop:linutop $HOMEDIR

exit 0
